Get available images
curl --request GET \
--url https://api.xata.tech/organizations/{organizationID}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.xata.tech/organizations/{organizationID}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.xata.tech/organizations/{organizationID}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"name": "<string>",
"majorVersion": "<string>",
"fullVersion": "<string>",
"region": [
"<string>"
]
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Projects
Get available images
Retrieves a list of all images for the specified organization and region
GET
/
organizations
/
{organizationID}
/
images
Get available images
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the organization to check image availability
Pattern:
[a-zA-Z0-9_-~:]+Query Parameters
Region to check image availability for organization
Response
List of images available for the organization
Array of available images with their properties
Show child attributes
Show child attributes
Was this page helpful?
⌘I